<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Top score</title>

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
          integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
    <link href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" rel="stylesheet">

    <style>
.table-striped>tbody>tr:nth-child(odd)>td,
.table-striped>tbody>tr:nth-child(odd)>th {
   background-color: darkblue;

    </style>
    <script>
        function setRate(n){
            for(var i = 1; i<=n; i++) {
                var label =  document.getElementById('label' + i);
                label.innerHTML = '★';
            }
            for(var i = n+1; i<=5; i++) {
                var label =  document.getElementById('label' + i);
                label.innerHTML = '☆';
            }
        }
    </script>
</head>
<body style="background-color:#ffffff">
<div class="container" style="position:absolute; top:50%; left:50%; transform: translate(-50%,-50%);">
    <div class="row">
        <div class="col-md-4 col-md-offset-4">
            <div class="panel panel-default text-center">
                <div class="panel-heading text-center align-middle">
                    <h2 style="font-size:40pt;" class="panel-title">Оцените пожалуйста игру</h2>
                </div>
                <form role="form" action="star" method="POST">
                    <input type="hidden" name="username" value="{{ username }}"/>

                    <input type="radio" style="display:none;" id="star1" name="rate" value="1"><label for="star1"
                                                                                                      id="label1"
                                                                                                      onclick="setRate(1)"
                                                                                                      style="font-size:100px; color:gold;">☆</label>
                    <input type="radio" style="display:none;" id="star2" name="rate" value="2"><label for="star2"
                                                                                                      id="label2"
                                                                                                      onclick="setRate(2)"
                                                                                                      style="font-size:100px; color:gold;">☆</label>
                    <input type="radio" style="display:none;" id="star3" name="rate" value="3"><label for="star3"
                                                                                                      id="label3"
                                                                                                      onclick="setRate(3)"
                                                                                                      style="font-size:100px; color:gold;">☆</label>
                    <input type="radio" style="display:none;" id="star4" name="rate" value="4"><label for="star4"
                                                                                                      id="label4"
                                                                                                      onclick="setRate(4)"
                                                                                                      style="font-size:100px; color:gold;">☆</label>
                    <input type="radio" style="display:none;" id="star5" name="rate" value="5" checked="checked"><label for="star5"
                                                                                                      id="label5"
                                                                                                      onclick="setRate(5)"
                                                                                                      style="font-size:100px; color:gold;">☆</label>

                    <button type="submit" style="font-size:40pt;" class="btn btn-success btn-block">Оценить</button>
                </form>
            </div>
        </div>
    </div>
</div>
<script>setRate(5);</script>
</body>
</html>
